#version 450
#extension GL_ARB_separate_shader_objects : enable

layout(binding = 0, set = 0) uniform ObjectUniformData {
    mat4 view;
    mat4 projection;
    mat4 ortho_projection;
    float time;
    vec3 light_position;
    vec3 light_directional_rotation;
    vec3 camera_position;
} ubo;

layout(binding = 1, set = 0) uniform sampler2D diffuse_tex;

layout(location = 0) in vec2 tex_coords;

layout(location = 0) out vec4 out_color;

void main() {
    out_color = vec4(1., 1., 1., texture(diffuse_tex, tex_coords).r);
}